<div style="margin-bottom: 15px;">
    <p-dataList 
        [value]="customShipmentItems" 
        [paginator]="true" 
        [rows]="5"
        [paginator]="true"
        [pageLinks]="5"
        [rowsPerPageOptions]="[10,15,20]"
        [totalRecords]="totalItems"
        [responsive]="true"
        [lazy]="true"
        dataKey="idShipmentItem"
        expandableRows="false"
        >
        <p-header>
          
        </p-header>
        <ng-template let-rowData pTemplate="item">
            <div class="shipment-incoming-detail">
                <p-fieldset>
                    <p-header>Custom Legend Content</p-header>
                    <div class="row">
                        <div class="col-md-12"><h4>{{rowData.idProduct}}</h4></div>
                        <div class="col-md-12">{{rowData.descriptionProduct}}</div>
                        <div class="col-md-6">{{rowData.idFrame}}</div>
                        <div class="col-md-6">{{rowData.yearAssembly}}</div>
                        <div class="col-md-6">{{rowData.idMachine}}</div>
                        <div class="col-md-6">{{rowData.descriptionFeature}}</div>
                    </div>
                </p-fieldset>
            </div>
        </ng-template>
    </p-dataList>
</div>
